#93 closed enhancement (fixed)

stdint.h and inttypes.h are missing

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: unknown
Severity: minor Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

RTEMS lacks ISO C99 typedefs such as
uint8_t
uint16_t
uint32_t
uint64_t

AFAIK theses are supposed to be defined in stdint.h and includes via stdint.h and inttypes.h.

[According to discussions on autoconf@…, defining them in inttypes.h predates stdint.h]

Release:
RTEMS

Attachments (1)

rtems-rc-20011201-1.diff (1.9 KB) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:13 PM.
rtems-rc-20011201-1.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Apr 16, 2002 at 12:24:27 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch committed. Ralf.. if you want to change this to

depend on rtems/score/types.h, it is now safe to do so
since I renamed all the CPUtypes.h files to types.h

Changed on Dec 3, 2006 at 1:31:13 PM by Ralf Corsepius

Attachment: rtems-rc-20011201-1.diff added

rtems-rc-20011201-1.diff

comment:2 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.